/***************************************************************************
 *   Copyright (C) 2006 by Andrei Borovsky  *
 *   borovsky@tochka.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _IMAGES_H_
#define _IMAGES_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapplication.h>
#include <kmainwindow.h>

#include "imagesview.h"
#include "settingsdialogimpl.h"

class KPrinter;
class KURL;

/**
 * This class serves as the main window for images.  It handles the
 * menus, toolbars, and status bars.
 *
 * @short Main window class
 * @author Andrei Borovsky <borovsky@tochka.ru>
 * @version 0.1
 */
class images : public KMainWindow
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    images();

    /**
     * Default Destructor
     */
    virtual ~images();

    /**
     * Use this method to load whatever file/URL you have
     */
    void load(const KURL& url);

protected:
    /**
     * Overridden virtuals for Qt drag 'n drop (XDND)
     */
    virtual void dragEnterEvent(QDragEnterEvent *event);
    virtual void dropEvent(QDropEvent *event);

private slots:
    void fileOpen();
    void fileSave();
    void fileSaveAs();
    void filePrint();
    void editCopy();
    void editPaste();
    void proctoBlacknWhite();
    void procContrast();
    void procIntensity();

    void changeCaption(const QString& text);

private:
    void setupAccel();
    void setupActions();
    void setup_Controls();
protected:
    virtual void saveProperties(KConfig *);
    virtual void readProperties(KConfig *);
private:
    imagesView *m_view;
    QString FileName, Format;
    bool ends_With(const QString &where, const QString &what);
};

#endif // _IMAGES_H_

