/***************************************************************************
 *   Copyright (C) 2006 by Andrei Borovsky  *
 *   borovsky@tochka.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _IMAGESVIEW_H_
#define _IMAGESVIEW_H_

#include <qwidget.h>
#include <qlabel.h>
#include <qstring.h>
#include <kparts/part.h>
#include <imagesiface.h>

class QPainter;


/**
 * This is the main view class for images.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * This images uses an HTML component as an example.
 *
 * @short Main view
 * @author Andrei Borovsky <borovsky@tochka.ru>
 * @version 0.1
 */
class imagesView : public QLabel, public imagesIface
{
    Q_OBJECT
public:
	/**
	 * Default constructor
	 */
    imagesView(QWidget *parent);

	/**
	 * Destructor
	 */
    virtual ~imagesView();

    void toBlacknWhite();
    void setContrast(int c);
    void setIntensity(int i);
    void show_Image(const QPixmap data);
    void copyImage();
    void pasteImage();
    QPixmap * getPixmap();
private:

};

#endif // _IMAGESVIEW_H_
